/*simplememory*/
#google_ad_c1, #google_ad_c2 {display:none;}
.syntaxhighlighter a, .syntaxhighlighter div, .syntaxhighlighter code, .syntaxhighlighter table, .syntaxhighlighter table td, .syntaxhighlighter table tr, .syntaxhighlighter             table tbody, .syntaxhighlighter table thead, .syntaxhighlighter table caption, .syntaxhighlighter textarea {
font-size: 14px!important;
}
#home {
opacity: 0.80;
margin: 0 auto;
width: 85%;
min-width: 950px;
background-color: #fff;
padding: 30px;
margin-top: 30px;
margin-bottom: 50px;
box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}
#blogTitle h1 {
font-size: 30px;
font-weight: bold;
font-family: "Comic Sans MS";
line-height: 1.5em;
margin-top: 20px;
color: #515151;
}

.postTitle a:link, .postTitle a:visited, .postTitle a:active { 
    font-family: "Comic Sans MS";
    transition: all 0.4s linear 0s;
}
#navList a:hover {
color: #4C9ED9;
text-decoration: none;
}
#navList a {
display: block;
width: 5em;
height: 22px;
float: left;
text-align: center;
padding-top: 18px;
}
#navigator {
font-size: 15px;
border-bottom: 1px solid #ededed;
border-top: 1px solid #ededed;
height: 50px;
clear: both;
margin-top: 25px;
}
.catListTitle {
margin-top: 21px;
margin-bottom: 10.5px;
text-align: left;
border-left: 10px solid rgba(82, 168, 236, 0.8);
padding: 10px 0 14px 10px;
background-color: #f5f5f5;
}
#ad_under_post_holder #google_ad_c1,#google_ad_c2{  
display: none !important;
}
body {
color: #000;
background: url(https://images.cnblogs.com/cnblogs_com/Kylin-xy/1546015/o_2002050734230072Vf1pgy1foxkc3khj2j31kw0w0x48.jpg
) fixed;
background-size: 100%;
background-repeat: no-repeat;
font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
font-size: 12px;
min-height: 101%;
}
#topics .postTitle {
border: 0px;
font-size: 200%;
font-weight: bold;
float: left;
line-height: 1.5;
width: 100%;
padding-left: 5px;
}


div.commentform p{
margin-bottom:10px;
}
.comment_btn {
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #ddd;
color: #999;
cursor:pointer;
font-family: "Lato", Helvetica Neue, Helvetica, Microsoft Yahei, 楷体, Arial, sans-serif;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
.comment_btn:hover{
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #258fb8;
color: white;
cursor:pointer;
font-family: "Lato", Helvetica Neue, Helvetica, Microsoft Yahei, 楷体, Arial, sans-serif;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
#commentform_title {
background-image:none;
background-repeat:no-repeat;
margin-bottom:10px;
padding:0;
font-size:24px;
}
#commentbox_opt,#commentbox_opt + p {
text-align:center;
}
.commentbox_title {
width: 100%;
}
#tbCommentBody {
font-family:'Microsoft Yahei', Microsoft Yahei, 宋体, sans-serif;
margin-top:10px;
max-width:100%;
min-width:100%;
background:white;
color:#333;
border:2px solid #fff;
box-shadow:inset 0 0 8px #aaa;
// padding:10px;
height:250px;
font-size:14px;
min-height:120px;
}
.feedbackItem {
font-size:14px;
line-height:24px;
margin:10px 0;
padding:20px;
background:#F2F2F2;
box-shadow:0 0 5px #aaa;
}
.feedbackListSubtitle {
font-weight:normal;
}

#blog-comments-placeholder, #comment_form {
padding: 20px;
background: #fff;
-webkit-box-shadow: 1px 2px 3px #ddd;
box-shadow: 1px 2px 3px #ddd;
margin-bottom: 50px;
}
.feedback_area_title {
margin-bottom: 15px;
font-size: 1.8em;
}
.feedbackItem {
border-bottom: 1px solid #CCC;
margin-bottom: 10px;
padding: 5px;
background: rgb(248, 248, 248);
}
.color_shine {background: rgb(226, 242, 255);}
.feedbackItem:hover {-webkit-animation-name: color_shine;-webkit-animation-duration: 2s;-webkit-animation-iteration-count: infinite;}
#comment_form .title {
font-weight: normal;
margin-bottom: 15px;
}

/*代码高亮*/
.syntaxhighlighter .bold {
    font-weight:unset !important;
}
.syntaxhighlighter .line {
    background-color: rgb(40, 43, 46)!important;
}
.syntaxhighlighter .line.alt2 {
    background-color: rgb(40, 43, 46)!important;
}
.syntaxhighlighter .line.alt1 {
    background-color: rgb(40, 43, 46)!important;
}
.syntaxhighlighter .comments, .syntaxhighlighter .comments a {
    color: rgb(129, 142, 150)!important;
}
.syntaxhighlighter .keyword {
    color: rgb(147, 199, 99)!important;
    font-weight: unset !important;
}
.syntaxhighlighter .preprocessor {
    color: rgb(85, 113, 130) !important;
}
.syntaxhighlighter .plain, .syntaxhighlighter .plain a {
    color: rgb(224, 226, 228)!important;
}
.syntaxhighlighter .color1, .syntaxhighlighter .color1 a {
    color: rgb(147, 199, 99)!important;
}
.syntaxhighlighter .string, .syntaxhighlighter .string a {
    color: rgb(236, 118, 0)!important;
}
.syntaxhighlighter .functions {
    color: rgb(140, 187, 173)!important;
}
.syntaxhighlighter .gutter .line {
    border-right: 2px solid rgb(147, 199, 99)!important;
}
.syntaxhighlighter.collapsed .toolbar {
    background: rgb(40, 43, 46)!important;
    border: none !important;
    border-radius: 5px !important;
}
.syntaxhighlighter.collapsed .toolbar a {
    color: rgb(147, 199, 99)!important;
}
.syntaxhighlighter.collapsed .toolbar a:hover {
    color: rgb(78, 109, 48)!important;
}
.syntaxhighlighter {
    border-radius: 5px;
}
/*第一种高亮结束，第二种高亮开始*/
.cnblogs_code div {
    background: #282b2e;
}
.cnblogs_code {
    background: #282b2e;
    border-radius: 5px;
    border: none;
    font-family: consolas !important;
    color: #fff;
}
.cnblogs_code_toolbar {
    background: #282b2e !important;
}
.cnblogs_code_toolbar a:hover, .cnblogs_code_toolbar a:link, .cnblogs_code_toolbar a:visited, .cnblogs_code_toolbar a:active, .cnblogs_code_toolbar a:link img, .cnblogs_code_toolbar a:visited img {
    background-color: #282b2e !important;
    border: none!important;
}
.cnblogs_code pre {
    font-family: consolas !important;
    padding-left: 3px;
    color: rgb(224, 226, 228);
}
.cnblogs_code span[style="color: #000000;"] , .cnblogs_code span[style="color: #ff0000;"]{
    color: rgb(224, 226, 228) !important;
}
.cnblogs_code span[style="color: #0000ff;"]{
    color: rgb(147, 199, 99)!important;
}
.cnblogs_code span[style="color: #800080;"]{
    color: #ffd740 !important;
}
.cnblogs_code span[style="color: #800000;"]{
    color: rgb(236, 118, 0)!important;
}
.cnblogs_code span[style="color: #008000;"]{
    color: rgb(129, 142, 150)!important;
}
.cnblogs_code span[style="color: #008080;"]{
    color: #afafaf!important;
    margin-right: 5px;
}
.cnblogs_code_collapse {
    border: none;
    background: #282b2e;
    color: rgb(147, 199, 99);
}
.cnblogs_code > pre {
    border: none !important;
}
.cnblogs_code > textarea {
    color: #fff;
    background: transparent;
    border: none;
    outline: none;
}
#cnblogs_post_body
{
    color: black;      
    font: 0.875em/1.5em "微软雅黑" , "PTSans" , "Arial" ,sans-serif;
    font-size: 15px;
}
/*代码高亮结束*/
/*各个等级标题的颜色样式*/
#cnblogs_post_body h1    {
    text-align:center;
    background: #99CCFF;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "Comic Sans MS","楷体" ,"微软雅黑" ,  "楷体" ,Comic Sans MS;
    font-size: 20px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h2    {
    text-align:center;
    background: #a6d09f;//99FFCC a6d095 ABD1AB EDF1FF
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "Comic Sans MS","楷体" ,"微软雅黑" ,  "楷体" ,Comic Sans MS;
    font-size: 20px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h3    {
    text-align:center;
    background: #d9c7f9;//#99c;e6ceff fedbca defcba yyaabb fedaaa eccabb ccb4f7 d3bef8
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family:  "Comic Sans MS","楷体" ,"微软雅黑" , "楷体" ,Comic Sans MS;
    font-size: 18px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h4{
    text-align:center;
    background: #33CC33;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "Comic Sans MS","楷体" ,"微软雅黑" ,  "楷体" ,Comic Sans MS;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h5{ 
    text-align:center;
    background: #abcdef;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family:  "Comic Sans MS","楷体" , "微软雅黑" ,"楷体" ,Comic Sans MS;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
   // text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h6{ 
    text-align:center;
    background: #aabbcc;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "Comic Sans MS", "楷体" , "微软雅黑" ,"楷体" ,Comic Sans MS;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
    text-shadow: 2px 2px 3px #222222;
}
/*
#cnblogs_post_body h5{
    background: #FFFFFF;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #FFFFFF 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "Comic Sans MS", "楷体" , "微软雅黑" ,"楷体" ,Comic Sans MS;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
   // text-shadow: 2px 2px 3px #222222;
}
*/ //去掉立体感的
/*页面中a标签鼠标位置*/
#cnblogs_post_body h2:a{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h2 a:hover{
   color: rgb(255, 102, 0);
}
#页面中标题位置
#cnblogs_post_body h1{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h1:hover{
   color: rgb(255, 102, 0);
}
#cnblogs_post_body h2{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h2:hover{
   color: rgb(255, 102, 0);
}
#cnblogs_post_body h3{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h3:hover{
   color: rgb(255, 102, 0);
}
#cnblogs_post_body h4{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h4:hover{
   color: rgb(255, 102, 0);
}
/*评论区*/
#commentform_title, .feedback_area_title {font: normal normal 16px/35px"Microsoft YaHei";margin: 10px 0 30px;border-bottom: 2px solid #ccc;background-image: none;padding: 0;border-bottom: 0;}
#commentform_title:after, .feedback_area_title:after {content: '';display: block;width: 100%;text-align: center;position: relative;bottom: 16px;left: 110px;border-bottom: 1px dashed #e9e9e9;}
#tbCommentAuthor {padding-left: 10px;color: #555;border: 1px solid #ddd;border-radius: 3px;-moz-border-radius: 3px;-webkit-border-radius: 3px;width: 320px;height: 20px;background: #fff;}
.commentbox_title {width: 100%;}
div.commentform p{margin-bottom: 20px}
textarea#tbCommentBody {width: calc(100% - 20px);border-radius: 10px;outline: 0;padding: 10px;height: 200px;position: relative;background: #fff url(https://images.cnblogs.com/cnblogs_com/Kylin-xy/1546015/o_200108144541th.jpg);background-size: contain;background-repeat: no-repeat;background-position: right;resize: vertical;} 
/**/
/*评论列表*/
.feedbackItem {margin-top: 30px;}
.feedbackListSubtitle {clear: both;color: #a8a8a8;padding: 8px 5px;}
.feedbackManage {width: 200px;text-align: right;float: right;}
.feedbackListSubtitle a:link, .feedbackListSubtitle a:visited, .feedbackListSubtitle a:active {color: #777;font-weight: 450;}
.louzhu {background: transparent url(/images/icoLouZhu.gif) no-repeat scroll right top;padding-right: 16px;}
.feedbackCon {border-bottom: 1px solid #EEE;padding: 10px 20px 10px 5px;min-height: 35px;_height: 35px;margin-bottom: 1em;line-height: 1.5;}
.comment-avatar {width: 48px;height: 48px;border: 1px solid #dcd6b3;padding: 3px;border-radius: 50%;-webkit-transition: all .6s ease-out;-moz-transition: all .5s ease-out;-ms-transition: all .5s ease-out;-o-transition: all .5s ease-out;transition: all .5s ease-out;}
.blog_comment_body {display: inline-block;width: 70%;margin-left: 15px;vertical-align: initial!important;font-family: Lato, Helvetica, Arial, sans-serif;}
.comment_vote {padding-right: 10px;}
.comment_vote a {color: #999;}
.blog_comment_body a {color: #2daebf;}
.comment-avatar:hover {transform: rotateZ(360deg);}
#comment_nav{padding-top: 10px;}
.blog_comment_body img {max-width: 100px;}
/*提交评论*/
.comment_btn {width: 180px;height: 38px;padding: 8px 20px;text-align: center;font-size: 14px;color: #fff;border: 0;background: #7396a7 !important;border-radius: 3px;-moz-border-radius: 3px;-webkit-border-radius: 3px;-webkit-transition: all .4s ease;-moz-transition: all .4s ease;-o-transition: all .4s ease;-ms-transition: all .4s ease;transition: all .4s ease;cursor: pointer;display: inline-block;vertical-align: middle;outline: 0;text-decoration: none;}
.comment_btn:hover {background: #8cb7cc!important;}
p#commentbox_opt {text-align: center;}



a:link {
color:#000000;
text-decoration:none;
}
a:visited {
color:#000000;
text-decoration:none;
}
a:hover {
color:#387de5;
text-decoration:none;
}
a:active {
color:#387de5;
text-decoration:none;
}


.buryit { display:none; } //隐藏反对

#div_digg{
  position:fixed;
  bottom:5px;
  width:140px;
  right:390px;
  border:2px solid #258fb8;
  padding:10px;
  background-color:#fff;
  border-radius:5px 5px 5px 5px !important;
  box-shadow:0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
}

/*
使用了Monokai Sublime的黑色主题皮肤，但是还存在样式冲突，需要自己修改
这个样式只适合使用makedown编写的博客
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
/*
pre {
    /*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}

.cnblogs-markdown .hljs {
    display: block;
    overflow: auto;
    padding: 1.3em 2em !important;
    font-size: 15px !important;
    font-family: Comic Sans MS !important;
    background: #272822 !important;
    color: #FFF;
    max-height: 800px;
}

.hljs,
.hljs-tag,
.hljs-subst {
    color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
    color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
    color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
    color: #a6e22e;
}

.hljs-strong {
    font-weight: bold;
}

.hljs-emphasis {
    font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
    color: #f5d909;
}

.hljs-symbol,
.hljs-attribute {
    color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
    color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
    color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
    color: #54dff2;
}
*/
 /*黑色主题makedown代码结束 */

/*代码高亮，注意要选择一些饱和度较高的颜色！*/
/*markdown代码高亮调整*/
pre {
	white-space: pre;
	word-wrap: normal;
}
.cnblogs-markdown .hljs {
display: block;
		 overflow-x: auto;
padding: 1.0em;
background: #23241fed !important;
background-color:#131513 !important;
color: #FFF;
	   white-space: pre;
	   word-break: normal;
	   font-family: "Consolas",sans-serif!important;
	   font-size: 16px!important;
	   line-height: 1.5!important;
padding: 13px!important;
    max-height: 800px;
}

.hljs,/*unknown: rice-white*/
	.hljs-tag,
	.hljs-subst {
color: #f8f8f2;
	}

.hljs-strong,/*unknown: gray*/
	.hljs-emphasis {
color: #a8a8a2;
	}

.hljs-bullet,/*numbers: Green-Blue*/
	.hljs-number,
	.hljs-regexp,
	.hljs-literal,
	.hljs-link {
color: #00FFF0;
	}

.hljs-code,/*function_name: ~~Lake-Blue~~  Light Orange now~*/
	.hljs-title,
	.hljs-section,
	.hljs-selector-class {
color: #FF9B00/*#00CBFF*/;
	}

.hljs-strong {
	font-weight: bold;
}

.hljs-emphasis {
	font-style: italic;
}

.hljs-keyword/*system's keword(int/namespace/void...): Light-Grass-Green*/
{
color:#ADFF00;
}

.hljs-symbol,/*unknown: Simple-Blue */
	.hljs-attribute {
color: #66d9ef;
	}

.hljs-params,/*unknown: rice-white*/
	.hljs-class .hljs-title {
color: #f8f8f2;
	}

.hljs-type,/*system's functions...: Light-Green-Blue*/
	.hljs-quote,
	.hljs-selector-id,
	.hljs-selector-attr,
	.hljs-selector-pseudo,
	.hljs-addition,
	.hljs-variable,
	.hljs-meta-string,
	.hljs-template-variable {
color: #00FFF0;
	}

.hljs-comment,/*ps: (light-orange)~~Light-Yellow~~  Lake-Blue now~*/
	.hljs-deletion{
color: /*#FEC808*//*#FFF500*/#00CBFF;
	}

.hljs-meta{/*just "include": Light-Orange*/
color: #FF9B00;
}

.hljs-string{/*string: Deep-Orange*/
color: #FF6F33;
}

.hljs-built_in,/*(printf) or others: rice-white*/
	.hljs-selector-tag,
	.hljs-name,
	.hljs-attr, 
	.hljs-builtin-name{
color: #f8f8f2;
	}

a:hover {
        cursor:url(https://files.cnblogs.com/files/laoguantongxiegogo/click_24px_1231393_easyicon.net.ico),auto;
 }
body {
        cursor:url(https://files.cnblogs.com/files/laoguantongxiegogo/pointer_24px_1231389_easyicon.net.ico),auto;
 }


/* 附加样式 */
@media screen and (min-width:0px) {

    /* 插入媒体 */
    @media screen and (min-width: 0px) {

        #cnblogs_post_body .video {
            height: 0;
            margin: 10px auto;
            padding-bottom: 56.25%;
            /* 16:9 */
            position: relative;
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid var(--DividColor);
            border-radius: 4px;
            overflow: hidden;
        }

        #cnblogs_post_body .video iframe,
        #cnblogs_post_body .video video {
            position: absolute;
            /*left: 0;*/
            top: 0;
            /*right:0;*/
            width: 100%;
            height: 100%;
            z-index: 0;
        }

        #cnblogs_post_body .music {
            height: 140px;
            /*padding-bottom: 14.39%;*/
            /* 16:9 */
            position: relative;
            width: 100%;
        }

        #cnblogs_post_body .music iframe {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
        }
    }

    /****** 提示消息框 *******/
    @media screen and (min-width: 0px) {
            .newscard {
            border-radius: 4px;
            margin: 0 0 20px 0;
            padding: 0px 10px;
            line-height: 40px;
            height:40px;
            overflow:hidden;
            background-color: #dfedf8;
            color: #3162ae;
            box-shadow: 0 0.05rem 1rem rgba(50,50,50, .04);
            */border:1px solid #3162ae;*/
            }
            .newscard ul{
             height:40px;
             margin:0;
             padding:0;
            }
            .newstext{
                word-break:keep-all;
                white-space:nowrap;
                overflow:hidden;
                height:40px;
                line-height:40px;
                text-overflow:ellipsis;
            }
        .newscard i {
            float: left;
            margin: 0 10px;
            font-size:inherit;
            line-height:40px;
            vertical-align: middle !important;
        }

        .infocard {
            border-radius: 4px;
            margin: 0 0 20px 0;
            padding: 6px 10px;
            line-height: 2;
        }

        .infocard i {
            float: left;
            margin: 0 10px;
                       font-size:inherit;
                       line-height:2;
            vertical-align: middle !important;
        }


        .tip {
            background-color: #d5f1e5;

            color: #20704d;

        }

        .warning {
            background-color: #f9e8de;

            color: #a84229;
        }

        .normal {
            background-color: #dfedf8;
            color: #3162ae;
        }
    }



    /* 折叠 */
    @media screen and (min-width: 0px) {
        details {
            border: 1px solid #ddd;
            border-radius: 4px;
            padding: .5em .5em 0;
            margin: 10px 0;
        }

        summary {
            font-weight: bold;
            margin: -.5em -.5em 0;
            padding: .5em;
            outline: none;
            user-select: none;
            background-color: #eff3f5;
            border-radius: 4px;
        }

        details[open] {
            padding: .5em;
        }

        details[open] summary {
            border-bottom: 1px solid #ddd;
            margin-bottom: .5em;
            border-radius: 4px 4px 0 0;
        }
    }


    /******** 导航目录 *********/
    @media screen and (min-width: 0px) {
        .scroller-offset1 {
            text-indent: 0;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .scroller-offset2 {
            text-indent: 1.5em;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .scroller-offset3 {
            text-indent: 3em;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .scroller-offset4 {
            text-indent: 4.5em;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .scroller-offset5 {
            text-indent: 6em;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .scroller-offset6 {
            text-indent: 7.5em;
            overflow: hidden;
            text-overflow: ellipsis !important;
        }

        .nav .active {
            background-color: var(--BackgroundColor);
            border-radius: 2px;
            margin: 0 6px;
        }

        .nav .active a {
            color: var(--ThemeColor);
        }

        .nav {
            max-height: 400px;
            overflow-y: auto;
            /*padding:10px;*/
            overflow-x: hidden;
            white-space: nowrap;
        }

        .nav li {
            padding: 2px 10px;
        }

        .nav li a {
            text-overflow: ellipsis !important;
            width: 100px !important;
            white-space: nowrap;
        }
    }

    @media screen and (max-width: 767px) {
        #sidebar_scroller {
            position: fixed !important;
            top: 0 !important;
            left: 0 !important;
            right: 0 !important;
            bottom: 0;
            opacity: 0.98;
            width: auto !important;
            max-width: 100%;
            margin-bottom: 0 !important;
            display: none;
            max-height: 100vh;
            padding-bottom: 60px;
            overflow: auto;
            border-radius: 0 !important;
            border: none !important;
            border-bottom: 1px solid #eee;
            z-index: 999999999;
        }
    }

    /******** 导航目录按钮 *********/
    @media screen and (min-width: 0px) {
        .mytoolbar {
            position: fixed;
            z-index: 9999999999999999999999;
            bottom: 0;
            left: 0;
            right: 0;
            padding: 10px;
            font-size: 20px;
        }

        .mytoolbar #toolbtn {
            columns: 3;
            width: 80%;
            /*display: inline-flex;*/
            /* align-items: center; */
            margin: 0 auto;
            /* margin-left: 0 !important; */

        }

        .mytoolbar #toolbtn li a {
            color: inherit;
        }

        .mytoolbar #toolbtn li {
            text-align: center;

            padding: 6px;
            margin: 0 10px;
            background-color: var(--BlockColor);
            border: 1px solid var(--DividColor);
            border-radius: 4px;
            list-style-type: none !important;
            /*line-height: 18px;*/
        }
    } 

        /* 悬浮式下拉菜单 */
        .dropdown {
            position: relative;
            display: inline-block;
                         margin-right:10px;
        }

        .dropdown-content {
            display: none;
            z-index: 9999;
            /*margin-left: 10px;*/
            position: absolute;
            background-color: var(--BlockColor);
            width: 90px;
            color: inherit;
            border-radius: 4px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        }

        .dropdown:hover .dropdown-content {
            display: block;
        }

        .dropdown-content p {
            color: inherit;
            display: block;
            cursor: pointer;
        }

        .dropdown-content p:hover {
            background-color: var(--BackgroundColor);
        }
    }


    //头部下拉
    @media screen and (min-width: 0px) {
        .toNav {
            text-align: center;
            z-index: 99999;
            position: absolute;
            top: 90vh;
            left: 0;
            color: #fff !important;
            right: 0;
            animation: move 1.5s infinite;
            font-size: var(--text5);
        }

        .toNav:before {
            content: '\f078';
            font-family: FontAwesome;
            margin-left: 0px;
        }

        .toNav:hover {
            animation: pause;
        }

        @keyframes move {
            0% {
                transform: translateY(-10px);
                opacity: 0;
            }

            100% {
                transform: translateY(10px);
                opacity: 1;
            }
        }

        .header-hidden:before,
        .header-hidden:after {
            content: "";
            height: 0 !important;
        }

        .hidden {
            display: none;
        }
    }
/*
    /* 返回顶部 */
    @media screen and (min-width: 0px) {
        .upToNav {
            position: fixed;
            right: 10px;
            bottom: 10px;
            background-color: var(--BlockColor);
            border: 1px solid var(--DividColor);
            border-radius: 4px;
            padding: 10px;
            color: var(--TextColor2);
        }

        .upToNav:hover {
            background-color: var(--ThemeColor);
            border: 1px solid var(--ThemeColor);
            color: #fff;
        }

        .upToNav:before {
            content: '\f077';
            font-family: FontAwesome;
            margin-left: 0px;
        }
    }
*/
}

.fancybox-image{
max-width:100%!important;
}


/*
<details>
  <summary><mark><font color=darkred>查看代码</font></mark></summary>
  <pre><code>  
&lt;h1&gt;标题&lt;/h1&gt;
//或者 &#60;h1&#62;标题&#60;/h1&#62;
for i in a:
    print(i)
  </code></pre>
</details>
*/
//"街路樹 落ち葉が溢れる","でも私の季節は変わらないままで","教えてよ この風の行方","あなたの想いは誰に向け吹くの","頬を伝い流れる","涙が乾かないのは","そんな全て包む", "愛を待っているから"